import { MatDialogRef } from '@angular/material/dialog';
import { MatSnackBar } from '@angular/material/snack-bar';
import * as i0 from "@angular/core";
export declare class TrasportAvailabilityComponent {
    dialogRef: MatDialogRef<TrasportAvailabilityComponent>;
    data: any;
    private snackBar;
    constructor(dialogRef: MatDialogRef<TrasportAvailabilityComponent>, data: any, snackBar: MatSnackBar);
    ngOnInit(): void;
    close(): void;
    sendRequest(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrasportAvailabilityComponent, [null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrasportAvailabilityComponent, "simpo-trasport-availability", never, {}, {}, never, never, true, never>;
}
